#ifndef SETTINGDIALOG_H
#define SETTINGDIALOG_H

#include <QtGui>
#include <QDialog>
#include <QCheckBox>
#include <QSettings>
#include <QStandardItemModel>
#include <QStandardItem>
#include <QMaemo5ListPickSelector>
#include <QMaemo5ValueButton>

#define DEFAULT_WHITELIST "/home/user/MyDocs/whitelist.txt"
#define DEFAULT_BLACKLIST "/home/user/MyDocs/blacklist.txt"

class SettingDialog : public QDialog
{
    Q_OBJECT
public:
    SettingDialog(QWidget *parent=0);

public slots:

private slots:
    void readSettings();
    void saveSettings();
    void orientationChanged();

private:
    QString currentlist, listPath, whitelistpath, blacklistpath;
    QStringList customlistspath;
    bool whitelistmode, daemonenabled, daemonautostart, blockunknown;
    QMaemo5ListPickSelector *currentListSelector;
    QCheckBox *modeCheckBox, *autostartCheckBox, *blockUnknown;
    QDialogButtonBox *saveButtonL, *saveButtonP;
};

#endif // SETTINGDIALOG_H
